package cn.jlsxwkj.common.R;


import io.netty.handler.codec.http.HttpResponseStatus;
import lombok.Data;

/**
 * @Author zh
 */
@Data
public class Response {
    /**
     * 标识返回状态
     */
    private Integer code;
    /**
     * 标识返回内容
     */
    private Object data;
    /**
     * 标识返回消息
     */
    private String message;
    /**
     * 标识返回异常
     */
    private String exception;

    /**
     * 禁止构造对象
     */
    private Response () {}

    /**
     * 成功返回
     *
     */
    public static Response data(Object data){
        Response r = new Response();
        r.setCode(HttpResponseStatus.OK.code());
        r.setMessage(HttpResponseStatus.OK.reasonPhrase());
        r.setData(data);
        return r;
    }

    /**
     * 失败返回
     *
     */
    public static Response error(Integer code, String message, String exception){
        Response r = new Response();
        r.setCode(code);
        r.setMessage(message);
        r.setException(exception);
        return r;
    }
}

