package cn.jlsxwkj.moudles.userlist;

import cn.dev33.satoken.secure.SaSecureUtil;
import cn.hutool.core.lang.Snowflake;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author zh
 */
@Service
public class UserListService {

    @Resource
    private UserListMapper userListMapper;
    private final Snowflake snowflake = new Snowflake();

    public Integer authUser(String userName, String password) {
        UserList userList = new UserList();
        userList.setUserId(snowflake.nextIdStr());
        userList.setUserName(userName);
        userList.setUserPassword(SaSecureUtil.sha512(password));
        return userListMapper.authUser(userList);
    }

    public UserList checkUser(String userName, String userPassword) {
        return userListMapper.checkUser(userName, SaSecureUtil.sha512(userPassword));
    }
}
